Bug 1331037 - [RFE]allow IO::Socket::SSL to support TLSv1.1, TLSv1.2
Summary: [RFE]allow IO::Socket::SSL to support TLSv1.1, TLSv1.2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: perl-IO-Socket-SSL
Version: 6.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: perl-maint-list
QA Contact: BaseOS QE Security Team
Lenka Špačková
URL:
Whiteboard:
Depends On: 1325407
Blocks: 1269194 1359263 1375525
TreeView+ depends on / blocked
 
Reported: 2016-04-27 13:52 UTC by Chris Reynolds
Modified: 2017-05-24 14:37 UTC (History)
10 users (show)

Fixed In Version: perl-IO-Socket-SSL-1.31-5.el6
Doc Type: Enhancement
Doc Text:
The *IO::Socket::SSL* Perl module now supports restricting of TLS version The *Net:SSLeay* Perl module has been updated to support explicit specification of the TLS protocol versions 1.1 or 1.2 to improve security, and the *IO::Socket::SSL* module has been updated accordingly. When a new *IO::Socket::SSL* object is created, it is now possible to restrict the TLS version to 1.1 or 1.2 by setting the `SSL_version` option to `TLSv1_1` or `TLSv1_2` respectively. Alternatively, `TLSv11` and `TLSv12` can be used. Note that these values are case-sensitive.
Clone Of:
: 1335035 1375525 (view as bug list)
Environment:
Last Closed: 2017-05-24 14:37:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 11 Jitka Plesnikova 2016-09-13 14:22:24 UTC
Test instructions in comment #4 of bug #1375525.


Note You need to log in before you can comment on or make changes to this bug.